PowerPC Airport Utility with new Airports

Discussion in 'PowerPC Macs' started by roadbloc, Dec 24, 2014.

  1. roadbloc macrumors G3

    roadbloc

    Joined:
    Aug 24, 2009
    Location:
    UK
    #1
    Just wondered if anyone knew if the new airport models play nice with the most recent ppc version of airport utility for tiger? Or failing that, the most recent windows version? Been looking to revamp my WiFi network but I need to make sure I can configure it on the machines I own first.
     
  2. Altemose macrumors G3

    Altemose

    Joined:
    Mar 26, 2013
    Location:
    Elkton, Maryland
    #2

    The utility in Tiger cannot be used. The utility in Leopard (5.6.1) can be used but it throws a warning about being unsupported. The Windows version is the same as the Leopard/Snow Leopard version. Do you have an iPad or iPhone? You can use the new AirPort Utility on there as well.
     
  3. roadbloc thread starter macrumors G3

    roadbloc

    Joined:
    Aug 24, 2009
    Location:
    UK
    #3
    Thanks for the info. As long as the Windows version works I'm okay.
     
  4. Altemose macrumors G3

    Altemose

    Joined:
    Mar 26, 2013
    Location:
    Elkton, Maryland
    #4

    The Windows version and Leopard version are identical and work the same way.
     
  5. roadbloc thread starter macrumors G3

    roadbloc

    Joined:
    Aug 24, 2009
    Location:
    UK
    #5
    Actually, as it turns out, it can. :p I gave it a try just to see and was pleasantly surprised I was able to completely set up my new AirPorts with the Tiger AirPort Utility. Didn't even warn me about it being a dated version, just went right ahead and configured my devices for me.
     

    Attached Files:

    • air.png
      air.png
      File size:
      92.2 KB
      Views:
      41
  6. Altemose macrumors G3

    Altemose

    Joined:
    Mar 26, 2013
    Location:
    Elkton, Maryland
    #6
    What version is that in "About AirPort Utility"?
     
  7. roadbloc thread starter macrumors G3

    roadbloc

    Joined:
    Aug 24, 2009
    Location:
    UK
    #7
    Version 5.3.2. :)
     

    Attached Files:

    • ver.png
      ver.png
      File size:
      22.7 KB
      Views:
      91
  8. Altemose macrumors G3

    Altemose

    Joined:
    Mar 26, 2013
    Location:
    Elkton, Maryland
    #8

    I would try to stick with 5.6.1 or later if possible.
     
  9. roadbloc thread starter macrumors G3

    roadbloc

    Joined:
    Aug 24, 2009
    Location:
    UK
    #9
    Any particular reason why?
     
  10. Altemose macrumors G3

    Altemose

    Joined:
    Mar 26, 2013
    Location:
    Elkton, Maryland
    #10

    It includes support to properly configure wireless N base stations like 2012 AirPort Express. You are less likely to change something wrong on the newer utility than the older one as it supports newer hardware.
     
  11. chabig macrumors 68040

    Joined:
    Sep 6, 2002
    #11
    You also have the option to configure your network using the lates iOS version of Airport Utility.
     

Share This Page